# variant_cast

(PHP 5, PHP 7)

variant_cast — Convert a variant into a new variant object of another type

### Description

variant_cast ( variant `$variant` , int `$type` ) : variant

This function makes a copy of `variant` and then performs a variant cast operation to force the copy to have the type given by `type`.

This function wraps VariantChangeType() in the COM library; consult MSDN for more information.

### Parameters

`variant`

  The variant.

`type`

  `type` should be one of the `VT_XXX` constants.

### Return Values

Returns a variant of given `type`.

### See Also

- variant_set_type() - Convert a variant into another type "in-place"